be.vlaanderen.mercurius.mohm.common.v7

## Enum ApplicationReasonType

- java.lang.Object
- - java.lang.Enum<ApplicationReasonType>
  - - be.vlaanderen.mercurius.mohm.common.v7.ApplicationReasonType

- All Implemented Interfaces:
    Serializable, Comparable<ApplicationReasonType>

      public enum ApplicationReasonType
      extends Enum<ApplicationReasonType>

  Java class for ApplicationReasonType.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="ApplicationReasonType">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="New_Application"/>
           <enumeration value="Renewal"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NEW_APPLICATION` Indienen van een nieuwe aanvraag voor een mobiliteitshulpmiddel en/of aanpassing en/of onderhoud en herstel met als doel een beslissing te krijgen.
    `RENEWAL` Indienen van een hernieuwing van een mobiliteitshulpmiddel of aanpassing met als doel een beslissing te krijgen.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ApplicationReasonType` | `fromValue(String v)`
    `String` | `value()`
    `static ApplicationReasonType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ApplicationReasonType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEW_APPLICATION

          public static final ApplicationReasonType NEW_APPLICATION

      Indienen van een nieuwe aanvraag voor een mobiliteitshulpmiddel en/of aanpassing en/of onderhoud en herstel met als doel een beslissing te krijgen.

    - #### RENEWAL

          public static final ApplicationReasonType RENEWAL

      Indienen van een hernieuwing van een mobiliteitshulpmiddel of aanpassing met als doel een beslissing te krijgen.

  - ### Method Detail

    - #### values

          public static ApplicationReasonType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ApplicationReasonType c : ApplicationReasonType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ApplicationReasonType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static ApplicationReasonType fromValue(String v)

Connector Packaging TRUSSMAKER 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.